Bug 499180 - Gecko crashes when smart card is removed from reader
Gecko crashes when smart card is removed from reader
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 517000
  Show dependency treegraph
 
Reported: 2009-05-05 10:35 EDT by eric@christensenplace.us
Modified: 2010-06-28 08:22 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:22:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Gecko bug report (461.45 KB, text/plain)
2009-05-05 10:35 EDT, eric@christensenplace.us
no flags Details

  None (edit)
Description eric@christensenplace.us 2009-05-05 10:35:09 EDT
Created attachment 342472 [details]
Gecko bug report

Description of problem: Every time I remove my smart card from the reader I get a message that says that gecko has crashed.  Attached is the bug report.


Version-Release number of selected component (if applicable): 0.13-8.fc10


How reproducible: Always


Steps to Reproduce:
1. Remove smart card from reader
  
Actual results: Get a crash notification.


Expected results: Program doesn't crash.


Additional info: This is happening on multiple computers.
Comment 1 Matěj Cepl 2009-05-15 20:33:13 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

I am not sure I understand your original report correctly. Is it firefox crashing? Or which exact application actually crashes? Do you have any idea what could be link between card reader and firefox?

Then I have to apologize. We've got by mistake again enabled upstream backtrace collector which produces output which is totally useless for us. So, I have to ask you to produce debugging information old way.

Please install firefox-debuginfo (debuginfo-install is from yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 eric@christensenplace.us 2009-05-15 21:39:46 EDT
Per your request:

PackageKit-yum-plugin-0.3.15-2.fc10.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
firefox-3.0.10-1.fc10.i386
plymouth-plugin-label-0.6.0-0.2008.11.17.3.fc10.i386
gstreamer-plugins-base-0.10.21-2.fc10.i386
PackageKit-gstreamer-plugin-0.3.15-2.fc10.i386
libflashsupport-000-0.5.svn20070904.i386
flash-plugin-10.0.22.87-release.i386
mozilla-filesystem-1.9-2.fc10.i386
gstreamer-plugins-flumpegdemux-0.10.15-4.fc10.i386
libopensync-plugin-evolution2-0.36-1.fc10.i386
gstreamer-plugins-good-0.10.13-1.fc10.i386
plymouth-plugin-solar-0.6.0-0.2008.11.17.3.fc10.i386
anaconda-yum-plugins-1.0-3.fc10.noarch
xulrunner-1.9.0.10-1.fc10.i386
plymouth-system-plugin-0.6.0-0.2008.11.17.3.fc10.i386
setroubleshoot-plugins-2.0.12-1.fc10.noarch
nspluginwrapper-1.3.0-2.fc10.i386
gstreamer-plugins-bad-0.10.9-1.fc10.i386
mozilla-vlc-0.9.9-2.fc10.i386

It appears that Gecko crashes whenever I remove the smart card from the reader.  I don't think it is directly related to Firefox.  I don't have time to do the debugging right this second but should be able to do it over the weekend.

Thanks for looking at this bug!
Comment 3 eric@christensenplace.us 2009-06-22 22:30:17 EDT
I can confirm that this is NOT a firefox issue.  This regularly occurs when using rdesktop.  I have also discovered that I get the same behavior on RHEL 5.3.
Comment 4 Matěj Cepl 2009-06-23 13:58:46 EDT
OK, throwing this to the kernel-land for further triage. It looks like not our problem after all.
Comment 5 Chuck Ebbert 2009-06-29 15:12:13 EDT
(In reply to comment #3)
> I can confirm that this is NOT a firefox issue.  This regularly occurs when
> using rdesktop.  I have also discovered that I get the same behavior on RHEL
> 5.3.  

You get a "gecko has crashed" message from rdesktop??
Comment 6 eric@christensenplace.us 2009-06-29 15:32:16 EDT
I get a "gecko has crashed" message when I remove my CAC card from the reader when using Firefox or rdesktop (the only things I use it for).  It doesn't appear to be linked to Firefox or rdesktop, though.  I'm seeing this in Fedora 10, Fedora 11, and RHEL 5.3 (all different boxes with different hardware).
Comment 7 Chuck Ebbert 2009-07-02 22:58:13 EDT
I don't think this is a kernel bug, it's probably a bug in gecko.
Comment 8 eric@christensenplace.us 2009-07-16 17:05:56 EDT
I'm pretty sure this isn't a Firefox bug.  The card reader is completely separate from Firefox and this occurs when I'm not using Firefox.
Comment 9 Matěj Cepl 2009-07-22 08:36:59 EDT
OK, let's try to blame rdesktop. This bug really suffers from the lack of information. Reporter, could you somehow describe more in details what exactly happens? Could you provide screenshots, logs (/var/log/messages, /var/log/Xorg.0.log, /var/log/dmesg), anything which makes me us to understand what actually goes on in your computer?
Comment 10 eric@christensenplace.us 2009-07-22 10:23:15 EDT
It doesn't really matter what program is using the smart card, when I remove the smart card from the reader I get a message saying that Gecko has crashed and I get a crash report (see attachment).  This happens when I use rdesktop and when I use Firefox.  I see this behavior on F11 and RHEL 5.3.
Comment 11 Matěj Cepl 2009-07-23 03:03:08 EDT
Well, it *does* matter for us ... it is hard to analyse crash, when we don't know what's crashing :)
Comment 12 eric@christensenplace.us 2009-08-03 14:59:07 EDT
Gecko is crashing.  It doesn't matter what you use it with (Firefox or rdesktop).  Gecko is what crashes.  Heck, I can make Gecko crash on a RHEL5, CentOS5, and F11 box by simply inserting my smart card into a reader, waiting for it to be recognized, and then removing it without bringing up any other other software.
Comment 14 John 2009-08-10 13:05:39 EDT
I'm realizing the same issue on a Dell D630 Latitude with CentOS 5.
Kernel version: 2.6.18-128.4.1.el5xen

Bug-buddy report:

Memory status: size: 119889920 vsize: 0 resident: 119889920 share: 0 rss: 24940544 rss_rlim: 0
CPU usage: start_time: 1249923695 rtime: 0 utime: 25 stime: 0 cutime:19 cstime: 0 timeout: 6 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/libexec/Gecko'

(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb7ef1ad0 (LWP 4837)]
[New Thread 0xb48fdb90 (LWP 4845)]
[New Thread 0xb52feb90 (LWP 4843)]
[New Thread 0xb5cffb90 (LWP 4842)]
[New Thread 0xb685db90 (LWP 4841)]
[New Thread 0xb727eb90 (LWP 4839)]
[New Thread 0xb7c7fb90 (LWP 4838)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x0049b402 in __kernel_vsyscall ()
#0  0x0049b402 in __kernel_vsyscall ()
#1  0x00bce563 in poll () from /lib/i686/nosegneg/libc.so.6
#2  0x00ceaad9 in ?? () from /usr/lib/libX11.so.6
#3  0x00ceaebf in _XRead () from /usr/lib/libX11.so.6
#4  0x00ceb884 in _XReply () from /usr/lib/libX11.so.6
#5  0x00ce3ee4 in XTranslateCoordinates () from /usr/lib/libX11.so.6
#6  0x06b31711 in gdk_window_get_origin () from /usr/lib/libgdk-x11-2.0.so.0
#7  0x06d6ceb0 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#8  0x06d6d3db in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#9  0x068d1776 in ?? () from /lib/libglib-2.0.so.0
#10 0x068d11a2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#11 0x068d4196 in ?? () from /lib/libglib-2.0.so.0
#12 0x068d46ee in g_main_context_iteration () from /lib/libglib-2.0.so.0
#13 0x02bc8425 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#14 0x02be467c in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#15 0x02be4ab7 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#16 0x02cf61c0 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#17 0x02cb47e3 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#18 0x02be4807 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#19 0x029cdd9f in ?? () from /usr/lib/xulrunner-1.9/libxul.so
#20 0x02190227 in XRE_main () from /usr/lib/xulrunner-1.9/libxul.so
#21 0x080490a2 in __gxx_personality_v0 ()
#22 0x00b1ae8c in __libc_start_main () from /lib/i686/nosegneg/libc.so.6
#23 0x08048c51 in __gxx_personality_v0 ()

Thread 7 (Thread 0xb7c7fb90 (LWP 4838)):
#0  0x0049b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00bce563 in poll () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.
#2  0x006e3379 in PR_Poll () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x0221126f in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#4  0x02211d31 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#5  0x02212033 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#6  0x02cf61c0 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#7  0x02cb47e3 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#8  0x02212102 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#9  0x02cf621f in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#10 0x02cb47e3 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#11 0x02cf6470 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#12 0x006e76ed in ?? () from /usr/lib/libnspr4.so
No symbol table info available.
#13 0x00c824d2 in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#14 0x00bd848e in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 6 (Thread 0xb727eb90 (LWP 4839)):
#0  0x0049b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c86942 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x006e0816 in ?? () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x006e1654 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0x02cfab9d in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#5  0x02cf621f in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#6  0x02cb47e3 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#7  0x02cf6470 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#8  0x006e76ed in ?? () from /usr/lib/libnspr4.so
No symbol table info available.
#9  0x00c824d2 in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#10 0x00bd848e in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 5 (Thread 0xb685db90 (LWP 4841)):
#0  0x0049b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c86942 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x006e0816 in ?? () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x006e1654 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0x006e1747 in PR_Wait () from /usr/lib/libnspr4.so
No symbol table info available.
#5  0x02cf8f33 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#6  0x02cf621f in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#7  0x02cb47e3 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#8  0x02cf6470 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#9  0x006e76ed in ?? () from /usr/lib/libnspr4.so
No symbol table info available.
#10 0x00c824d2 in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#11 0x00bd848e in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 4 (Thread 0xb5cffb90 (LWP 4842)):
#0  0x0049b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c86615 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x006e16e6 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x029fe374 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#4  0x029fd920 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#5  0x006e76ed in ?? () from /usr/lib/libnspr4.so
No symbol table info available.
#6  0x00c824d2 in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#7  0x00bd848e in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 3 (Thread 0xb52feb90 (LWP 4843)):
#0  0x0049b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c86615 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x006e16e6 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x029ff920 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#4  0x029fd920 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#5  0x006e76ed in ?? () from /usr/lib/libnspr4.so
No symbol table info available.
#6  0x00c824d2 in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#7  0x00bd848e in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 2 (Thread 0xb48fdb90 (LWP 4845)):
#0  0x0049b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c8a5cb in waitpid () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x005b2c26 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x02198780 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x0074a0b0 in SECMOD_WaitForAnyTokenEvent () from /usr/lib/libnss3.so
No symbol table info available.
#6  0x00332708 in SmartCardMonitoringThread::Execute ()
   from /usr/lib/esc-1.0.0/components/librhCoolKey.so
No symbol table info available.
#7  0x003329fd in SmartCardMonitoringThread::LaunchExecute ()
   from /usr/lib/esc-1.0.0/components/librhCoolKey.so
No symbol table info available.
#8  0x006e76ed in ?? () from /usr/lib/libnspr4.so
No symbol table info available.
#9  0x00c824d2 in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#10 0x00bd848e in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Thread 1 (Thread 0xb7ef1ad0 (LWP 4837)):
#0  0x0049b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00bce563 in poll () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.
#2  0x00ceaad9 in ?? () from /usr/lib/libX11.so.6
No symbol table info available.
#3  0x00ceaebf in _XRead () from /usr/lib/libX11.so.6
No symbol table info available.
#4  0x00ceb884 in _XReply () from /usr/lib/libX11.so.6
No symbol table info available.
#5  0x00ce3ee4 in XTranslateCoordinates () from /usr/lib/libX11.so.6
No symbol table info available.
#6  0x06b31711 in gdk_window_get_origin () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#7  0x06d6ceb0 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#8  0x06d6d3db in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#9  0x068d1776 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#10 0x068d11a2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#11 0x068d4196 in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#12 0x068d46ee in g_main_context_iteration () from /lib/libglib-2.0.so.0
No symbol table info available.
#13 0x02bc8425 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#14 0x02be467c in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#15 0x02be4ab7 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#16 0x02cf61c0 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#17 0x02cb47e3 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#18 0x02be4807 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#19 0x029cdd9f in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#20 0x02190227 in XRE_main () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#21 0x080490a2 in __gxx_personality_v0 ()
No symbol table info available.
#22 0x00b1ae8c in __libc_start_main () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.
#23 0x08048c51 in __gxx_personality_v0 ()
No symbol table info available.
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Comment 15 Matěj Cepl 2009-08-10 16:14:56 EDT
OK, this is finally nice piece of information about this problem:

Thread 2 (Thread 0xb48fdb90 (LWP 4845)):
#0  0x0049b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c8a5cb in waitpid () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x005b2c26 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x02198780 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x0074a0b0 in SECMOD_WaitForAnyTokenEvent () from /usr/lib/libnss3.so
No symbol table info available.
#6  0x00332708 in SmartCardMonitoringThread::Execute ()
   from /usr/lib/esc-1.0.0/components/librhCoolKey.so
No symbol table info available.
#7  0x003329fd in SmartCardMonitoringThread::LaunchExecute ()
   from /usr/lib/esc-1.0.0/components/librhCoolKey.so
No symbol table info available.
#8  0x006e76ed in ?? () from /usr/lib/libnspr4.so
No symbol table info available.
#9  0x00c824d2 in start_thread () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#10 0x00bd848e in clone () from /lib/i686/nosegneg/libc.so.6
No symbol table info available.

Reassigning to NSS component for further investigation.
Comment 16 Matěj Cepl 2009-08-10 16:22:15 EDT
Also, could we get please version of the nss, esc, and coolkey?

rpm -qa nss\* esc coolkey

Thank you
Comment 17 John 2009-08-10 19:24:15 EDT
Matej,

Per your request (comment #16):

nss-3.12.3.99.3-1.el5.centos.2
nss_db-2.2-35.3
esc-1.0.0-39.el5
coolkey-1.1.0-6.el5
nss_ldap-253-17.el5
nss-tools-3.12.3.99.3-1.el5.centos.2

John
Comment 18 Kai Engert (:kaie) 2009-08-20 08:56:14 EDT
So we crash while NSS executes SECMOD_WaitForAnyTokenEvent,
and some code inside it causes a signal handler to be called.

I assume it's a segmentation fault signal, as all other threads are executing poll or wait for a thread condition variable.

I wish someone could reproduce this bug while having nss-debuginfo package installed
  run: debuginfo-install nss
use the debugger to the get stack traces
(attach with gdb, use command
  thread apply all bt
)

Paste everything to a file and attach it, 
or at least find the line with SECMOD_WaitForAnyTokenEvent
and paste a couple of lines around it.

Thanks



Thread 2 (Thread 0xb48fdb90 (LWP 4845)):
#0  0x0049b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00c8a5cb in waitpid () from /lib/i686/nosegneg/libpthread.so.0
No symbol table info available.
#2  0x005b2c26 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x02198780 in ?? () from /usr/lib/xulrunner-1.9/libxul.so
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x0074a0b0 in SECMOD_WaitForAnyTokenEvent () from /usr/lib/libnss3.so
No symbol table info available.
Comment 20 Bug Zapper 2010-04-27 10:08:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 eric@christensenplace.us 2010-05-06 14:33:48 EDT
I'm not seeing this in F13 nor am I seeing this in RHEL5, any longer...
Comment 22 Bug Zapper 2010-06-28 08:22:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.